﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        // we have a bug in the existing version 3.1.16, 
        // so we write this function to fix it temporary,
        // it can be removed in the next version.
        function OnMapCreated(map){
            var postData = decodeURIComponent(__theFormPostData);
            var startData = postData.substr(0, postData.indexOf('&'));
            var endData = postData.substr(postData.indexOf('&'), postData.length - postData.indexOf('&'));
            __theFormPostData = startData + ',' + map.getScale().toString() + endData;
        }
    
        // raise a callback
        function raiseHightlightOverlay(e) {
            var lonlat = this.getLonLatFromViewPortPx(e.xy);
            var x = lonlat.lon;
            var y = lonlat.lat;
            var context = this;
            var args = x + ',' + y;
            <%=ClientScript.GetCallbackEventReference(this, "args", "updateHighlightOverlay", "context")%>;
        }
        
        // get callback
        function updateHighlightOverlay(result, context){
            var layer = context.getLayer("DynamicOverlay");
            layer.EXTRA = new Date().toLocaleTimeString();
            layer.redraw(true);
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
    </cc1:Map>
    </form>
</body>
</html>
